Unit tafj0z_p;
interface
uses
SysUtils, Math, { Delphi }
Lstruct, Lfunc, UtRes_p, AFJ0Z_p;

function tafj0z: String;

implementation

function tafj0z: String;
var
_i,IERR :Integer;
const
BR :Array [0..3] of Extended = ( 0.0e0,0.0e0,1.0e0,-4.0e0 );
CI :Array [0..3] of Extended = ( 0.0e0,1.0e0,8.0e0,0.0e0 );
BI :Array [0..3] of Extended = ( 0.0e0,-1.0e0,-1.0e0,0.0e0 );
CR :Array [0..3] of Extended = ( 0.0e0,0.0e0,8.0e0,-4.0e0 );
begin
Result := '';  {   }
AFJ0Z(BR,BI,CR,CI,4,IERR);
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[BR[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[CR[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + #$0D#$0A;
for _i:=0 to 3 do
 begin
  Result := Result + Format('%20.16f ',[CI[_i]]);
  if ( ((_i+1) mod 4)=0 )
   then Result := Result + #$0D#$0A;
 end;
Result := Result + #$0D#$0A;
Result := Result + Format(' %10d ',[IERR]) + #$0D#$0A;
UtRes('tafj0z',Result);  {     tafj0z.res }
exit;
end;

end.
